package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;

/**
 * {@code TaxHelperAppletCheckFaceModel} 小程序认证model
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-01
 * @since ver.1.0.0
 */
@Data
public class TaxHelperAppletCheckFaceModel extends TaxHelperModel {

	private static final long serialVersionUID = -535499912852093824L;

	String token;

	public TaxHelperAppletCheckFaceModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
	}
}
